package com.ruoyi.asset.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报废管理对象 ams_disposal_order
 *
 * @author Yangk
 * @date 2026-06-17
 */
public class AmsDisposalOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 单据ID */
    private Long orderId;

    /** 报废单号 */
    @Excel(name = "报废单号")
    private String disposalNo;

    /** 申请人ID */
    @Excel(name = "申请人ID")
    private Long applicantId;

    /** 申请人名称快照 */
    @Excel(name = "申请人名称快照")
    private String applicantName;

    /** 申请部门ID */
    @Excel(name = "申请部门ID")
    private Long applyDeptId;

    /** 申请部门名称快照 */
    @Excel(name = "申请部门名称快照")
    private String applyDeptName;

    /** 确认人ID */
    @Excel(name = "确认人ID")
    private Long confirmUserId;

    /** 确认人名称快照 */
    @Excel(name = "确认人名称快照")
    private String confirmUserName;

    /** 确认时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "确认时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date confirmTime;

    /** 驳回原因 */
    @Excel(name = "驳回原因")
    private String rejectReason;

    /** 处置方式 */
    @Excel(name = "处置方式")
    private String disposalMethod;

    /** 处置时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "处置时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date disposalTime;

    /** 单据状态 */
    @Excel(name = "单据状态")
    private String orderStatus;

    /** 资产编码查询条件，不对应主表字段 */
    private String assetCode;

    /** 删除标志：0存在，1删除 */
    private String delFlag;

    /** 报废单明细信息 */
    private List<AmsDisposalOrderItem> amsDisposalOrderItemList;

    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getOrderId()
    {
        return orderId;
    }

    public void setDisposalNo(String disposalNo)
    {
        this.disposalNo = disposalNo;
    }

    public String getDisposalNo()
    {
        return disposalNo;
    }

    public void setApplicantId(Long applicantId)
    {
        this.applicantId = applicantId;
    }

    public Long getApplicantId()
    {
        return applicantId;
    }

    public void setApplicantName(String applicantName)
    {
        this.applicantName = applicantName;
    }

    public String getApplicantName()
    {
        return applicantName;
    }

    public void setApplyDeptId(Long applyDeptId)
    {
        this.applyDeptId = applyDeptId;
    }

    public Long getApplyDeptId()
    {
        return applyDeptId;
    }

    public void setApplyDeptName(String applyDeptName)
    {
        this.applyDeptName = applyDeptName;
    }

    public String getApplyDeptName()
    {
        return applyDeptName;
    }

    public void setConfirmUserId(Long confirmUserId)
    {
        this.confirmUserId = confirmUserId;
    }

    public Long getConfirmUserId()
    {
        return confirmUserId;
    }

    public void setConfirmUserName(String confirmUserName)
    {
        this.confirmUserName = confirmUserName;
    }

    public String getConfirmUserName()
    {
        return confirmUserName;
    }

    public void setConfirmTime(Date confirmTime)
    {
        this.confirmTime = confirmTime;
    }

    public Date getConfirmTime()
    {
        return confirmTime;
    }

    public void setRejectReason(String rejectReason)
    {
        this.rejectReason = rejectReason;
    }

    public String getRejectReason()
    {
        return rejectReason;
    }

    public void setDisposalMethod(String disposalMethod)
    {
        this.disposalMethod = disposalMethod;
    }

    public String getDisposalMethod()
    {
        return disposalMethod;
    }

    public void setDisposalTime(Date disposalTime)
    {
        this.disposalTime = disposalTime;
    }

    public Date getDisposalTime()
    {
        return disposalTime;
    }

    public void setOrderStatus(String orderStatus)
    {
        this.orderStatus = orderStatus;
    }

    public String getOrderStatus()
    {
        return orderStatus;
    }

    public void setAssetCode(String assetCode)
    {
        this.assetCode = assetCode;
    }

    public String getAssetCode()
    {
        return assetCode;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public List<AmsDisposalOrderItem> getAmsDisposalOrderItemList()
    {
        return amsDisposalOrderItemList;
    }

    public void setAmsDisposalOrderItemList(List<AmsDisposalOrderItem> amsDisposalOrderItemList)
    {
        this.amsDisposalOrderItemList = amsDisposalOrderItemList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("disposalNo", getDisposalNo())
            .append("applicantId", getApplicantId())
            .append("applicantName", getApplicantName())
            .append("applyDeptId", getApplyDeptId())
            .append("applyDeptName", getApplyDeptName())
            .append("confirmUserId", getConfirmUserId())
            .append("confirmUserName", getConfirmUserName())
            .append("confirmTime", getConfirmTime())
            .append("rejectReason", getRejectReason())
            .append("disposalMethod", getDisposalMethod())
            .append("disposalTime", getDisposalTime())
            .append("orderStatus", getOrderStatus())
            .append("assetCode", getAssetCode())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("amsDisposalOrderItemList", getAmsDisposalOrderItemList())
            .toString();
    }
}
